python-pluginbase_0.5-1_all.deb


Advertisement

Description

python-pluginbase - Support library for building plugins systems (Python 2)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-pluginbase_0.5-1_all.deb
Package name python-pluginbase
Package version 0.5
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/mitsuhiko/pluginbase
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.99 KB
Installed size 36.00 KB
This package contains a module that enables the development of flexible plugin
systems in Python.
This package installs the library for Python 2.

Alternatives

Package Version Architecture Repository
python-pluginbase_0.5-1_all.deb 0.5 all Ubuntu Universe
python-pluginbase - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-pluginbase_0.5-1_all.deb
Source Package python-pluginbase

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pluginbase deb package:
    # sudo apt-get install python-pluginbase

Files

Path
/usr/lib/python2.7/dist-packages/pluginbase.py
/usr/lib/python2.7/dist-packages/pluginbase-0.5.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pluginbase-0.5.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pluginbase-0.5.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pluginbase-0.5.egg-info/top_level.txt
/usr/share/doc/python-pluginbase/changelog.Debian.gz
/usr/share/doc/python-pluginbase/copyright

Changelog

2017-11-05 - Samuel Henrique <samueloph@gmail.com>
python-pluginbase (0.5-1) unstable; urgency=medium
* Initial release on Debian (closes: #880908)
* New upstream version 0.5
* Bump DH level to 10
* Bump Standards-Version to 4.1.1
* Bump watch to v4
* Set myself as maintainer
* d/control:
- add Multi-Arch: foreign
- add autopkgtest
- point Vcs-* to python-modules
- remove double space from description
- use https on Homepage field
* d/copyright: update copyright
* wrap-and-sort -a
2016-08-29 - Sophie Brun <sophie@freexian.com>
python-pluginbase (0.4-0kali1) kali-dev; urgency=medium
* Initial release

See Also

Package Description
python-plumbum_1.6.5-1_all.deb library for writing shell script-like programs in Python 2
python-plwm_2.6a+20080530-2_all.deb Pointless Window Manager - Python libraries for creating Window Managers
python-pmock_0.3.1+s20140625-3_all.deb Python module for unit testing using mock objects
python-pmw-doc_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-pmw_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-png_0.0.18+ds-2_all.deb Pure Python PNG Reader/Writer (Python 2)
python-pocket-lint_0.5.31-0ubuntu2_all.deb composite linter and style checker
python-pocketsphinx_0.8.0+real5prealpha-1ubuntu2_i386.deb Speech recognition tool - python bindings
python-podcastparser-doc_0.6.2-1_all.deb Simplified, fast RSS parsing library (common documentation)
python-podcastparser_0.6.2-1_all.deb Simplified, fast RSS parsing library (Python 2)
python-polib_1.1.0-3_all.deb Python library to parse and manage gettext catalogs
python-polled-camera_1.11.11-3_all.deb Robot OS polled_camera package - Python
python-popcon_1.5.1_all.deb Python interface to Debian's Popularity Contest (popcon)
python-poppler_0.12.1-10_i386.deb Poppler Python bindings
python-portalocker_1.1.0-2_all.deb easy API to file locking (Python 2)
Advertisement
Advertisement